Page MenuHomePhabricator

PHP Notice: Undefined property: MediaWiki\Revision\RevisionRenderer::$wikiId
Closed, ResolvedPublic

Description

Error

Request ID: XUMKLApAIC4AAKdtLJIAAAAE
Request URL: https://en.wikisource.org/w/index.php?title=The_Rubaiyat_of_Omar_Khayyam_(tr._Whinfield)&action=submit

message
/w/index.php?title=The_Rubaiyat_of_Omar_Khayyam_(tr._Whinfield)&action=submit   ErrorException from line 194 of /srv/mediawiki/php-1.34.0-wmf.16/includes/Revision/RevisionRenderer.php: PHP Notice: Undefined property: MediaWiki\Revision\RevisionRenderer::$wikiId
trace
#0 /srv/mediawiki/php-1.34.0-wmf.16/includes/Revision/RevisionRenderer.php(194): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /srv/mediawiki/php-1.34.0-wmf.16/includes/Revision/RevisionRenderer.php(134): MediaWiki\Revision\RevisionRenderer->getSpeculativePageId(integer)
#2 /srv/mediawiki/php-1.34.0-wmf.16/includes/parser/ParserOptions.php(891): Closure$MediaWiki\Revision\RevisionRenderer::getRenderedRevision#2()
#3 /srv/mediawiki/php-1.34.0-wmf.16/includes/parser/ParserOptions.php(144): ParserOptions::initSpeculativePageId(ParserOptions, string)
#4 /srv/mediawiki/php-1.34.0-wmf.16/includes/parser/ParserOptions.php(132): ParserOptions->lazyLoadOption(string)
#5 /srv/mediawiki/php-1.34.0-wmf.16/includes/parser/ParserOptions.php(866): ParserOptions->getOption(string)
#6 /srv/mediawiki/php-1.34.0-wmf.16/includes/parser/Parser.php(2791): ParserOptions->getSpeculativePageId()
#7 /srv/mediawiki/php-1.34.0-wmf.16/includes/parser/Parser.php(3273): Parser->getVariableValue(string, PPTemplateFrame_Hash)
#8 /srv/mediawiki/php-1.34.0-wmf.16/includes/parser/PPFrame_Hash.php(254): Parser->braceSubstitution(array, PPTemplateFrame_Hash)
#9 /srv/mediawiki/php-1.34.0-wmf.16/includes/parser/Parser.php(3488): PPFrame_Hash->expand(PPNode_Hash_Tree)
#10 /srv/mediawiki/php-1.34.0-wmf.16/includes/parser/PPFrame_Hash.php(254): Parser->braceSubstitution(array, PPFrame_Hash)
#11 /srv/mediawiki/php-1.34.0-wmf.16/includes/parser/Parser.php(3126): PPFrame_Hash->expand(PPNode_Hash_Tree, integer)
#12 /srv/mediawiki/php-1.34.0-wmf.16/includes/parser/Parser.php(1437): Parser->replaceVariables(string)
#13 /srv/mediawiki/php-1.34.0-wmf.16/includes/parser/Parser.php(568): Parser->internalParse(string)
#14 /srv/mediawiki/php-1.34.0-wmf.16/includes/content/WikitextContent.php(365): Parser->parse(string, Title, ParserOptions, boolean, boolean, NULL)
#15 /srv/mediawiki/php-1.34.0-wmf.16/includes/content/AbstractContent.php(555): WikitextContent->fillParserOutput(Title, NULL, ParserOptions, boolean, ParserOutput)
#16 /srv/mediawiki/php-1.34.0-wmf.16/includes/Revision/RenderedRevision.php(266): AbstractContent->getParserOutput(Title, NULL, ParserOptions, boolean)
#17 /srv/mediawiki/php-1.34.0-wmf.16/includes/Revision/RenderedRevision.php(234): MediaWiki\Revision\RenderedRevision->getSlotParserOutputUncached(WikitextContent, boolean)
#18 /srv/mediawiki/php-1.34.0-wmf.16/includes/Revision/RevisionRenderer.php(222): MediaWiki\Revision\RenderedRevision->getSlotParserOutput(string)
#19 /srv/mediawiki/php-1.34.0-wmf.16/includes/Revision/RevisionRenderer.php(151): MediaWiki\Revision\RevisionRenderer->combineSlotOutput(MediaWiki\Revision\RenderedRevision, array)
#20 [internal function]: Closure$MediaWiki\Revision\RevisionRenderer::getRenderedRevision#3(MediaWiki\Revision\RenderedRevision, array)
#21 /srv/mediawiki/php-1.34.0-wmf.16/includes/Revision/RenderedRevision.php(197): call_user_func(Closure$MediaWiki\Revision\RevisionRenderer::getRenderedRevision#3;3533, MediaWiki\Revision\RenderedRevision, array)
#22 /srv/mediawiki/php-1.34.0-wmf.16/includes/Storage/DerivedPageDataUpdater.php(1289): MediaWiki\Revision\RenderedRevision->getRevisionParserOutput()
#23 [internal function]: MediaWiki\Storage\DerivedPageDataUpdater->getCanonicalParserOutput()
#24 /srv/mediawiki/php-1.34.0-wmf.16/includes/edit/PreparedEdit.php(104): call_user_func(array)
#25 /srv/mediawiki/php-1.34.0-wmf.16/includes/edit/PreparedEdit.php(119): MediaWiki\Edit\PreparedEdit->getOutput()
#26 /srv/mediawiki/php-1.34.0-wmf.16/includes/Storage/DerivedPageDataUpdater.php(1267): MediaWiki\Edit\PreparedEdit->__get(string)
#27 /srv/mediawiki/php-1.34.0-wmf.16/includes/page/WikiPage.php(2019): MediaWiki\Storage\DerivedPageDataUpdater->getPreparedEdit()
#28 /srv/mediawiki/php-1.34.0-wmf.16/extensions/SpamBlacklist/includes/SpamBlacklistHooks.php(31): WikiPage->prepareContentForEdit(WikitextContent)
#29 /srv/mediawiki/php-1.34.0-wmf.16/includes/Hooks.php(174): SpamBlacklistHooks::filterMergedContent(DerivativeContext, WikitextContent, Status, string, User, boolean)
#30 /srv/mediawiki/php-1.34.0-wmf.16/includes/Hooks.php(202): Hooks::callHook(string, array, array, NULL)
#31 /srv/mediawiki/php-1.34.0-wmf.16/includes/EditPage.php(1767): Hooks::run(string, array)
#32 /srv/mediawiki/php-1.34.0-wmf.16/includes/EditPage.php(2097): EditPage->runPostMergeFilters(WikitextContent, Status, User)
#33 /srv/mediawiki/php-1.34.0-wmf.16/includes/EditPage.php(1597): EditPage->internalAttemptSave(NULL, boolean)
#34 /srv/mediawiki/php-1.34.0-wmf.16/includes/EditPage.php(682): EditPage->attemptSave(NULL)
#35 /srv/mediawiki/php-1.34.0-wmf.16/includes/actions/EditAction.php(55): EditPage->edit()
#36 /srv/mediawiki/php-1.34.0-wmf.16/includes/actions/SubmitAction.php(38): EditAction->show()
#37 /srv/mediawiki/php-1.34.0-wmf.16/includes/MediaWiki.php(507): SubmitAction->show()
#38 /srv/mediawiki/php-1.34.0-wmf.16/includes/MediaWiki.php(302): MediaWiki->performAction(Article, Title)
#39 /srv/mediawiki/php-1.34.0-wmf.16/includes/MediaWiki.php(892): MediaWiki->performRequest()
#40 /srv/mediawiki/php-1.34.0-wmf.16/includes/MediaWiki.php(523): MediaWiki->main()
#41 /srv/mediawiki/php-1.34.0-wmf.16/index.php(42): MediaWiki->run()
#42 /srv/mediawiki/w/index.php(3): include(string)
#43 {main}
Impact

Appears to happen on submitting an edit on Wikisource.

Notes

This may have been transient, but popped up shortly after moving Group1 wikis to wmf.16.

Details

Event Timeline

brennen created this task.Aug 1 2019, 4:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 1 2019, 4:16 PM

Change 527207 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] Fix bogus field use in RevisionRenderer::getSpeculativePageId

https://gerrit.wikimedia.org/r/527207

Change 527208 had a related patch set uploaded (by Krinkle; owner: Aaron Schulz):
[mediawiki/core@wmf/1.34.0-wmf.16] Fix bogus field use in RevisionRenderer::getSpeculativePageId

https://gerrit.wikimedia.org/r/527208

Krinkle assigned this task to aaron.Aug 1 2019, 8:02 PM
Krinkle added a project: Performance-Team.
brennen triaged this task as Unbreak Now! priority.Aug 1 2019, 8:03 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptAug 1 2019, 8:03 PM

Change 527208 merged by jenkins-bot:
[mediawiki/core@wmf/1.34.0-wmf.16] Fix bogus field use in RevisionRenderer::getSpeculativePageId

https://gerrit.wikimedia.org/r/527208

Mentioned in SAL (#wikimedia-operations) [2019-08-01T20:57:20Z] <krinkle@deploy1001> Synchronized php-1.34.0-wmf.16/includes/Revision/RevisionRenderer.php: T229589 - 3f1b32e4db3698b8 (duration: 00m 50s)

Change 527207 merged by jenkins-bot:
[mediawiki/core@master] Fix bogus field use in RevisionRenderer::getSpeculativePageId

https://gerrit.wikimedia.org/r/527207

Krinkle closed this task as Resolved.Aug 1 2019, 9:15 PM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:05 PM